Subject: [bitcoindev] Re: [bitcoin-dev] [Opt-in full-RBF] Zero-conf apps in immediate danger

From: Anthony Towns <[email-masked]>
Date: Fri, 2 May 2025 20:06:18 +1000

On Thu, Oct 20, 2022 at 02:37:53PM +0200, Sergej Kotliar via bitcoin-dev wrote:
> On Thu, 20 Oct 2022 at 09:22, Anthony Towns <[email-masked]> wrote:
> > On Wed, Oct 19, 2022 at 04:29:57PM +0200, Sergej Kotliar via bitcoin-dev
> > wrote:
> > > Currently Lightning is somewhere around 15% of our total bitcoin
> > > payments.
> > So, based on last year's numbers, presumably that makes your bitcoin
> > payments break down as something like:
> >
> >    5% txs are on-chain and seem shady and are excluded from zeroconf
> >   15% txs are lightning
> >   20% txs are on-chain but signal rbf and are excluded from zeroconf
> >   60% txs are on-chain and seem fine for zeroconf
> Numbers are right. Shady is too strong a word, it's mostly transactions
> with very low fee, or high purchase amount, or many dependent unconfirmed
> transactions, stuff like that. In some cases we do a human assessment of
> the support ticket and often just pass them through.

> > > This is very much not nothing, and all of us here want Lightning to grow,
> > > but I think it warrants a serious discussion on whether we want Lightning
> > > adoption to go to 100% by means of disabling on-chain commerce.
> > If the numbers above were accurate, this would just mean you'd go from 60%
> > zeroconf/25% not-zeroconf to 85% not-zeroconf; wouldn't be 0% on-chain.
> Point is that RBF transactions are unsafe even when waiting for a
> confirmation, which Peter Todd trivially proved in the reply next to this.
> The reliable solution is to reject all RBF payments and direct those users
> to custodial accounts. There are other variants to solve this with varying
> degree of convolutedness. RBF is a strictly worse UX as proven by anyone
> accepting bitcoin payments at scale.

So the mempoolfullrbf default changed from false to true in 28.0 released
in October last year, which is advertised as being run by maybe 30%-40%
of the network now, and fullrbf transactions have been reportedly been mined
reliably since well before that.

Any chance of an update on how that change has affected bitcoin/lightning
payment volume for you guys, or customer satisfaction (if payment
acceptance is delayed more often), or how much engineering/support time
was needed to adapt, or any other impact?

Cheers,
aj

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/aBSZGqZ50K-WVnAf%40erisian.com.au.